package com.hzs.member.statis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hzs.common.domain.member.statis.CuBonusStatis;
import com.hzs.member.statis.vo.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 奖金拨比统计 Mapper 接口
 */
public interface CuBonusStatisMapper extends BaseMapper<CuBonusStatis> {

    /**
     * @description: 查询当天团队统计数据
     **/
    List<CuBonusStatis> getCuBonusStatis(CuBonusStatis cuBonusStatis);

    /**
     * @description: 奖金拨比列表
     **/
    List<CuBonusStatisVO> queryCuBonusStatis(CuBonusStatisVO cuBonusStatisVO);

    /**
     * @description: 查询体系合计的订单业绩
     **/
    CuBonusStatisVO queryOrderAchieveSum(CuBonusStatisVO cuBonusStatisVO);

    /**
     * @description: 奖金拨比列表统计小计（最后一行）
     **/
    CuBonusStatisVO queryCuBonusSumStatis(CuBonusStatisVO cuBonusStatisVO);

    /**
     * @description: 查询个人奖金拨比
     **/
    CuBonusSinglePersonStatisVO bonusSingleSum(CuBonusSinglePersonStatisVO csps);

    /**
     * @description: 奖金拨比图表
     **/
    List<CuBonusStatisChartVO> queryCuBonusStatisChart(CuBonusStatisChartVO chartVO);

    /**
     * @description: 奖金拨比图表合计
     **/
    CuBonusStatisChartVO queryCuBonusSumStatisChart(CuBonusStatisChartVO chartVO);

    /**
     * @description: 查询一年注册、升级、复购、嗨粉合计
     **/
    CuBonusStatisColumnarVO queryYearData(CuBonusStatisColumnarVO columnarVO);

    /**
     * @description: 查询奖金拨比(饼状图)
     **/
    CuBonusStatisRoundVO queryDiallingRatio(CuBonusStatisRoundVO roundVO);

    /**
     * @description: 查询小于当天全部已支付或撤单订单信息
     **/
    List<CuBonusStatisVO> querySaOrderByLessDay(CuBonusStatisVO cuBonusStatisVO);

    /**
     * @description: 删除奖金拨比统计表数据
     **/
    Boolean delStatis(@Param("startDate") String startDate, @Param("endDate") String endDate);

    /**
     * @description: 查询奖金扣项配置参数
     **/
    List<CuBonusStatisVO> bonusDeductlist(CuBonusStatisVO cuBonusStatisVO);

    /**
     * @description: 查询分红比例配置
     **/
    List<CuBonusStatisVO> bonusDividendRatiolist(CuBonusStatisVO cuBonusStatisVO);

    /**
     * @description: 查询中国奖金
     **/
    List<CuBonusStatisVO> queryChinaCountryBonus(CuBonusStatisVO cuBonusStatisVO);

    /**
     * @description: 查询有效体系
     **/
    List<CuBonusStatisVO> vertexList();


}
